<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ page import="javax.persistence.*" %>
<%@ page import="java.util.*" %>
<%@ page import="toplinkbug.entities.*" %>

<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%--
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
--%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>

    <h1>JSP Page</h1>
    
    <%
    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ToplinkBugPU");
    EntityManager em = emf.createEntityManager();

    System.out.println("Getting person with related projects...");
    
    Query q_person = em.createNamedQuery("Person.findById");
    q_person.setParameter("id", 1);
    Person p = (Person)q_person.getSingleResult();

    %>

    <h2>Person name is: <%= p.getPersonName() %></h2>
    
    <%

    List<Project> projects = p.getProjects();
    
    if (projects!=null)
    {
        for (Project project : projects)
        {
            %>
            <p>Project name is: <%= project.getProjectName() %></p>
            <%
        }
    }
    
    %>
    <hr />
    
    <%

    System.out.println("Getting project with related persons....");
    System.out.println("DEBUG 1");
    Query q_project = em.createNamedQuery("Project.findById");
    System.out.println("DEBUG 2");
    q_project.setParameter("id", 1);
    System.out.println("DEBUG 3");
    Project project = (Project)q_project.getSingleResult();
    System.out.println("DEBUG 4");

    %>
    
    <h2>Project name is: <%= project.getProjectName() %></h2>

    
    <%
    System.out.println("DEBUG 5");

    
    List<Person> persons = project.getPersons();
    
    if (persons!=null)
    {
       for (Person person : persons)
        {
            %>
            <p>Person name is: <%= person.getPersonName() %></p>
            <%
        }
    }
    
    %>
    

    <hr />

    <%
    
        
    System.out.println("Finished :-)");

    
    em.close();
    emf.close();


    %>
    </body>
</html>
