package toplinkbug.entities;

import java.io.Serializable;
import javax.persistence.*;
import java.util.*;

@Entity

@Table(name="PERSON", schema="MYSCHEMA")

@NamedQuery(name = "Person.findById", query = "SELECT p FROM Person p WHERE p._personId = :id")    

public class Person implements Serializable
{
    
    @Id
    @Column(name="PERSON_ID")
    private Integer _personId;

    @Column(name="PERSON_NAME")
    private String _personName;
       
    @ManyToMany(mappedBy="_persons")
    private List<Project> _projects;
    
    public Integer getPersonId()
    {
        return _personId;
    }

    public String getPersonName()
    {
        return _personName;
    }
    
    public List<Project> getProjects()
    {
        return _projects;
    }
}
